x=read.table("SP500jpMorgan2013.dat", header=T)
n=nrow(x)
t=x[n:1,]
x1=diff(log(t[,2]))*100
x2=diff(log(t[,3]))*100
tt=data.frame(x1,x2)
names(tt)=c("S&P500", "JP Morgan")

library(vars)
attach(tt)
t=VAR(tt)
x=Psi(t)

y=matrix(ncol=4,nrow=11)
y[,1]=x[1,1,]
y[,2]=x[1,2,]
y[,3]=x[2,1,]
y[,4]=x[2,2,]
i=0:10

ps.options(horizontal=F, width=4.6, height=3, pointsize=8)
postscript("FIGt.ps", onefile=F, print=F)
par(mar=c(3,3,2,1), mfrow=c(1,2), mgp=c(2.0,0.8,0))
t1=irf(t)
plot(t1)


dev.off()
